Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class DefaultEscalatedDeadlineHandler

    java.lang.Object
      org.jbpm.task.service.DefaultEscalatedDeadlineHandler

All Implemented Interfaces:
  EscalatedDeadlineHandler

    public class DefaultEscalatedDeadlineHandler

extends Object
implements EscalatedDeadlineHandler

Field Summary
`protected List<Status>` | `validStatuses`

Constructor Summary
`DefaultEscalatedDeadlineHandler()`
`DefaultEscalatedDeadlineHandler(Properties properties)`
`DefaultEscalatedDeadlineHandler(Properties properties, ClassLoader classLoader)`

Method Summary
`void` | `executeEmailNotification(EmailNotification notification, Task task, Content content)`
`void` | `executeEscalatedDeadline(Task task, Deadline deadline, Content content, TaskService service)`
`ClassLoader` | `getClassLoader()`
`Environment` | `getEnvironment()`
`String` | `getFrom()`
`WorkItemManager` | `getManager()`
`String` | `getReplyTo()`
`UserInfo` | `getUserInfo()`
`protected boolean` | `isInValidStatus(Task task)`
`void` | `setClassLoader(ClassLoader classLoader)`
`void` | `setEnvironment(Environment environment)`
`void` | `setFrom(String from)`
`void` | `setManager(WorkItemManager manager)`
`void` | `setReplyTo(String replyTo)`
`void` | `setUserInfo(UserInfo userInfo)`
`protected void` | `setValidStatuses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### validStatuses

    protected List<Status> validStatuses

Constructor Detail

### DefaultEscalatedDeadlineHandler

    public DefaultEscalatedDeadlineHandler(Properties properties)

### DefaultEscalatedDeadlineHandler

    public DefaultEscalatedDeadlineHandler(Properties properties,
                                           ClassLoader classLoader)

### DefaultEscalatedDeadlineHandler

    public DefaultEscalatedDeadlineHandler()

Method Detail

### getUserInfo

    public UserInfo getUserInfo()

### setUserInfo

    public void setUserInfo(UserInfo userInfo)

### getFrom

    public String getFrom()

### setFrom

    public void setFrom(String from)

### getReplyTo

    public String getReplyTo()

### setReplyTo

    public void setReplyTo(String replyTo)

### getManager

    public WorkItemManager getManager()

### setManager

    public void setManager(WorkItemManager manager)

### getEnvironment

    public Environment getEnvironment()

### setEnvironment

    public void setEnvironment(Environment environment)

### getClassLoader

    public ClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

### executeEscalatedDeadline

    public void executeEscalatedDeadline(Task task,
                                         Deadline deadline,
                                         Content content,
                                         TaskService service)

  Specified by:
    `executeEscalatedDeadline` in interface `EscalatedDeadlineHandler`

### executeEmailNotification

    public void executeEmailNotification(EmailNotification notification,
                                         Task task,
                                         Content content)

### setValidStatuses

    protected void setValidStatuses()

### isInValidStatus

    protected boolean isInValidStatus(Task task)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.